Name:           deja-dup
Version:        18.1.1
Release:        1%{?dist}
Summary:        Simple backup tool and frontend for duplicity

Group:          Applications/Archiving
License:        GPLv3+
URL:            https://launchpad.net/deja-dup
Source0:        http://launchpad.net/%{name}/18/%{version}/+download/%{name}-%{version}.tar.bz2

BuildRequires:  gettext desktop-file-utils intltool scrollkeeper
BuildRequires:  gnome-doc-utils pango-devel cairo-devel vala-devel
BuildRequires:  libtool GConf2 GConf2-devel glib2-devel libnotify-devel
BuildRequires:  po4a unique-devel nautilus-devel gnome-keyring-devel
BuildRequires:  gtk3-devel unique3-devel
Requires:       duplicity python-cloudfiles
Requires(pre):  GConf2
Requires(post): GConf2
Requires(preun):GConf2
Requires(post): /usr/bin/gtk-update-icon-cache
Requires(postun): /usr/bin/gtk-update-icon-cache

%description
Déjà Dup is a simple backup tool. It hides the complexity of doing backups the
'right way' (encrypted, off-site, and regular) and uses duplicity as the
backend.

Features: 
 • Support for local, remote, or cloud backup locations (Amazon S3 or Rackspace)
 • Securely encrypts and compresses your data
 • Incrementally backs up, letting you restore from any particular backup
 • Schedules regular backups
 • Integrates well into your GNOME desktop

%prep
%setup -q

%build
%configure --disable-static --disable-schemas-install --with-gtk3 --with-nautilus --with-gnu-ld
make %{?_smp_mflags}

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=%{buildroot}
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
rm -f %{buildroot}/%{_libdir}/nautilus/extensions-3.0/*.la
rm -rf %{buildroot}/%{_datadir}/icons/Humanity/
rm -rf %{buildroot}/%{_datadir}/icons/ubuntu-mono-dark
rm -rf %{buildroot}/%{_datadir}/icons/ubuntu-mono-light

%find_lang %{name} --with-gnome

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
    glib-compile-schemas %{_datadir}/glib-2.0/schemas
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING NEWS
%{_bindir}/deja-*
%{_mandir}/man1/deja-dup.1.gz
%{_mandir}/*/man1/deja-dup.1.gz
%{_mandir}/man1/deja-dup-preferences.1.gz
%{_mandir}/*/man1/deja-dup-preferences.1.gz
%{_datadir}/GConf/gsettings/deja-dup.convert
%{_datadir}/glib-2.0/schemas/org.gnome.DejaDup.gschema.xml
%{_sysconfdir}/xdg/autostart/deja-dup-monitor.desktop
%{_datadir}/applications/deja-dup-preferences.desktop
%{_libdir}/nautilus/extensions-3.0/libnautilus-deja-dup.so
%dir %{_libdir}/deja-dup
%{_libdir}/deja-dup/deja-dup-monitor
%dir %{_datadir}/deja-dup
%dir %{_datadir}/deja-dup/ui
%{_datadir}/deja-dup/ui/restore-missing.ui
%{_datadir}/applications/deja-dup.desktop
%{_datadir}/icons/hicolor/scalable/devices/deja-dup-cloud.svg
%{_datadir}/icons/hicolor/scalable/actions/deja-dup-backup.svg
%{_datadir}/icons/hicolor/scalable/actions/deja-dup-restore.svg
%{_datadir}/icons/hicolor/*/apps/deja-dup.png
%{_datadir}/icons/hicolor/scalable/apps/deja-dup-symbolic.svg

%changelog
* Sat Apr 16 2011 Chris Smart <csmart@fedoraproject.org> - 18.1.1-1
- Update to latest upstream realease, which will "actually work with NetworkManager 0.9"
- http://bazaar.launchpad.net/~deja-dup-team/deja-dup/18/revision/888

* Wed Apr 13 2011 Chris Smart <csmart@fedoraproject.org> - 18.1-1
- Update to latest upstream release, 18.1
- https://launchpad.net/deja-dup/18/18.1

* Sat Apr 09 2011 Chris Smart <csmart@fedoraproject.org> - 18.0-1
- Update to latest upstream release, 18.0
- https://launchpad.net/deja-dup/18/18.0

* Wed Apr 06 2011 Dan Williams <dcbw@redhat.com> - 17.92-3
- Really fix for NM 0.9

* Wed Apr 05 2011 Dan Williams <dcbw@redhat.com> - 17.92-2
- Update for NetworkManager 0.9

* Sun Mar 27 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 17.92-1
- Update to latest upstream release
- http://bazaar.launchpad.net/~deja-dup-team/deja-dup/trunk/revision/863

* Tue Mar 17 2011 Chris Smart <csmart@fedoraproject.org> - 17.91-1
- Update to latest upstream release
- http://bazaar.launchpad.net/~deja-dup-team/deja-dup/trunk/revision/854

* Tue Mar 05 2011 Chris Smart <csmart@fedoraproject.org> - 17.90-1
- Update to latest upstream release
- http://bazaar.launchpad.net/~deja-dup-team/deja-dup/trunk/revision/838

* Tue Feb 15 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 17.6-3
- Rebuild against new GTK

* Fri Feb 11 2011 Matthias Clasen <mclasen@redhat.com> - 17.6-2
- Rebuild against newer gtk

* Fri Feb 11 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 17.6-2
- Update build requirements

* Fri Feb 11 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 17.6-1
- Update to latest upstream release
- http://bazaar.launchpad.net/~deja-dup-team/deja-dup/trunk/revision/827
- Drop no longer needed nautilus extension related patch
- Enable GTK3 and Nautilus support unconditionally

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 17.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb  2 2011 Matthias Clasen <mclasen@redhat.com> - 17.5-1
- Update to 17.5

* Sat Jan 29 2011 Ville Skyttä <ville.skytta@iki.fi> - 17.4-3
- Dir ownership fixes.

* Fri Jan  7 2011 Matthias Clasen <mclasen@redhat.com> - 17.4-2
- Rebuild against new GTK+

* Tue Dec 28 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 17.4-1
- http://bazaar.launchpad.net/~deja-dup-team/deja-dup/trunk/annotate/761/NEWS
- Reorganize the backup location preferences to be more intuitive
- New Chinese (simplified) translation and other translation updates

* Fri Dec 04 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 17.3-1
- https://launchpad.net/deja-dup/+announcement/7341
- http://bazaar.launchpad.net/~deja-dup-team/deja-dup/trunk/revision/753#NEWS
- drop no longer needed libnotify patch

* Fri Dec  3 2010 Matthias Clasen <mclasen@redhat.com> - 17.2-1
- Update to 17.2

* Fri Nov 12 2010 Adam Williamson <awilliam@redhat.com> - 17.1-1
- bump to 17.1
- adjust for use of gsettings
- add notify.patch to fix build against new libnotify

* Sun Jun 06 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 15.3-2
- Drop the dependency on yelp

* Sun Jun 06 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 15.3-1
- Several bug fixes including a potential data loss fix

* Sat May 08 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 15.1-1
- http://bazaar.launchpad.net/~deja-dup-team/deja-dup/trunk/revision/646#NEWS
- Reorganize help documentation to use new mallard format
- Change terminology for 'backup' verb to 'back up'
- Many new and updated translations
 
* Sat May 01 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 14.1-1
- https://launchpad.net/deja-dup/+announcement/5730
- Fix critical bugs preventing backup to external disks and restore single dir

* Sun Apr 18 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 14.0.3-1
- https://launchpad.net/deja-dup/+announcement/5630
- fix restoring to a non-empty directory

* Mon Apr 12 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 14.0.2-1
- https://launchpad.net/deja-dup/+announcement/5544
- drop the clean section

* Thu Apr 01 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 14.0-1
- new upstream release
- http://bazaar.launchpad.net/~deja-dup-team/deja-dup/14/annotate/head:/NEWS
- Gconf schema installation. Fixes rhbz #577004

* Mon Mar 20 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 13.92-1
- new upstream release
- https://launchpad.net/deja-dup/+announcement/5313

* Mon Mar 01 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 13.91-1
- new upstream release
- Fix review issues

* Tue Dec 22 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 13.4-1
- new upstream release
- http://bazaar.launchpad.net/~deja-dup-team/deja-dup/trunk/revision/557#NEWS

* Tue Dec 08 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 13.3-1
- new upstream release

* Tue Nov 23 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 11.1-1
- Initial spec
